Skip to main content

Research Reports by Organization

Retrieve research reports filtered by research organization or broker.

GET/3.0/research/reports

Description

This endpoint returns research reports filtered by research organization or broker organization. Useful for comparing research from different providers or accessing reports from specific research firms.

Request

Authentication

  • Type: Bearer Token
  • Required: Yes

Parameters

NameTypeRequiredDescriptionExample
client_idintegerYesClient/Organization ID to filter reports by organization or broker. See Research Organizations for the list of available IDs.148
offsetintegerNoNumber of records to skip for pagination0
countintegerNoMaximum number of records to return (default: 50)25

Response

Success Response (200)

{
"status": "ok",
"message": "",
"count": 2,
"offset": 0,
"total": 18,
"data": [
{
"id": "685ea7ca720f2c38da2c2bb3",
"category_ids": [
"6523c4b376022da50d4fe538"
],
"analyst_ids": [
"6523c4b376022da50d4fe535"
],
"symbol": null,
"sector": null,
"tags": null,
"title": "JS Daily Highlights - SBP Forex reserves and Oil & Gas discovery update",
"description": "",
"thumbnail": "148/685ea7ca720f2c38da2c2bb3.webp",
"created": "2025-06-27T14:16:42.04Z",
"modified": "2025-06-27T14:16:44.158Z"
},
{
"id": "685e44512c4bf9b6397f2188",
"category_ids": [
"6523c4b376022da50d4fe537"
],
"analyst_ids": [
"6511241f528f5a5108e07563"
],
"symbol": [
"AGTL"
],
"sector": [
"0801"
],
"tags": null,
"title": "AGTL: Agriculture slowdown weighs on volumes",
"description": "",
"thumbnail": "148/685e44512c4bf9b6397f2188.webp",
"created": "2025-06-27T07:12:17.818Z",
"modified": "2025-06-27T07:12:19.37Z"
}
]
}

Response Fields

FieldTypeDescription
idstringResearch report unique ID
category_idsarrayCategory IDs this report belongs to
analyst_idsarrayAnalyst IDs who authored the report
symbolarrayStock symbols covered in the report
sectorarraySector codes covered
tagsarrayReport tags for classification
titlestringReport title
descriptionstringReport description
thumbnailstringURL to report thumbnail image
createdstring (ISO 8601)Report creation timestamp
modifiedstring (ISO 8601)Report last modified timestamp

Error Responses

For detailed Common Error responses, see the Error Handling.

Missing Client ID (200)

{
"status": "error",
"message": "no `client_id` provided"
}

Invalid Client ID (200)

{
"status": "error",
"message": "invalid `client_id` provided"
}

Examples

Get All Research Reports

curl -X GET "https://csapis.com/3.0/research/reports" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases

  • Provider Comparison: Compare research from different organizations
  • Analyst Tracking: Follow research from specific analysts
  • Research Discovery: Find research by specific providers
  • Research Curation: Build custom research lists by organization